Commit a1e28bd5 authored by Robert Collins's avatar Robert Collins

Remove test-requirements-py3.txt.

This will unblock requirements merges.

Change-Id: I318750ec9fe471d3df57ad2f5785026dae451242
parent 1b896a56
......@@ -2,47 +2,47 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
retrying>=1.2.3,!=1.3.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
alembic>=0.7.2
croniter>=0.3.4 # MIT License
eventlet>=0.17.3
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0,!=2.5.0
eventlet>=0.17.4
jsonpath-rw<2.0,>=1.2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware>=1.5.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=1.10.0 # Apache-2.0
oslo.concurrency>=2.0.0 # Apache-2.0
oslo.config>=1.11.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=0.1.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=1.10.0 # Apache-2.0
oslo.concurrency>=2.1.0 # Apache-2.0
oslo.config>=1.11.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=0.1.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=0.11,<2.0
pbr<2.0,>=0.11
pecan>=0.8.0
oslo.messaging>=1.8.0 # Apache-2.0
oslo.middleware>=1.2.0,!=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=1.6.0 # Apache-2.0
pysnmp>=4.2.1,<5.0.0
oslo.messaging!=1.12.0,>=1.8.0 # Apache-2.0
oslo.middleware!=2.0.0,>=1.2.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=1.6.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.1
python-ceilometerclient>=1.0.13
python-glanceclient>=0.18.0
python-keystoneclient>=1.6.0
python-neutronclient>=2.3.11,<3
python-neutronclient<3,>=2.3.11
python-novaclient>=2.22.0
python-swiftclient>=2.2.0
pytz>=2013.6
PyYAML>=3.1.0
requests>=2.5.2
six>=1.9.0
SQLAlchemy>=0.9.7,<1.1.0
SQLAlchemy<1.1.0,>=0.9.7
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
tooz>=0.13.1 # Apache-2.0
Werkzeug>=0.7 # BSD License
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME>=0.7
#!/usr/bin/env python
# Copyright (c) 2013 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
......
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Hacking already pins down pep8, pyflakes and flake8
hacking>=0.10.0,<0.11
Babel>=1.3
coverage>=3.6
discover
elasticsearch>=1.3.0
fixtures>=0.3.14
httplib2>=0.7.5
mock>=1.0
# Docs Requirements
oslosphinx>=2.5.0 # Apache-2.0
oslotest>=1.5.1 # Apache-2.0
oslo.vmware>=0.13.1 # Apache-2.0
psycopg2
pylint==1.4.1 # GNU GPL v2
pymongo>=3.0.2
python-subunit>=0.0.18
sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
sphinxcontrib-docbookrestapi
sphinxcontrib-httpdomain
sphinxcontrib-pecanwsme>=0.8
testrepository>=0.0.18
testscenarios>=0.4
testtools>=0.9.36,!=1.2.0
gabbi>=0.12.0 # Apache-2.0
requests-aws>=0.1.4 # BSD License (3 clause)
......@@ -3,32 +3,32 @@
# process, which may cause wedges in the gate later.
# Hacking already pins down pep8, pyflakes and flake8
hacking>=0.10.0,<0.11
hacking<0.11,>=0.10.0
Babel>=1.3
contextlib2>=0.4.0 # PSF License
coverage>=3.6
discover
elasticsearch>=1.3.0
fixtures>=0.3.14
happybase>=0.5,!=0.7
fixtures>=1.3.1
happybase!=0.7,>=0.5;python_version=='2.7'
httplib2>=0.7.5
mock>=1.0
PyMySQL>=0.6.2 # MIT License
PyMySQL>=0.6.2 # MIT License
# Docs Requirements
oslosphinx>=2.5.0 # Apache-2.0
oslotest>=1.5.1 # Apache-2.0
oslo.vmware>=0.13.1 # Apache-2.0
oslosphinx>=2.5.0 # Apache-2.0
oslotest>=1.5.1 # Apache-2.0
oslo.vmware>=0.13.1 # Apache-2.0
psycopg2
pylint==1.4.1 # GNU GPL v2
pylint==1.4.1 # GNU GPL v2
pymongo>=3.0.2
python-subunit>=0.0.18
sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
sphinxcontrib-docbookrestapi
sphinxcontrib-httpdomain
sphinxcontrib-pecanwsme>=0.8
testrepository>=0.0.18
testscenarios>=0.4
testtools>=0.9.36,!=1.2.0
gabbi>=0.12.0 # Apache-2.0
requests-aws>=0.1.4 # BSD License (3 clause)
testtools>=1.4.0
gabbi>=0.12.0 # Apache-2.0
requests-aws>=0.1.4 # BSD License (3 clause)
tempest-lib>=0.5.0
......@@ -44,7 +44,7 @@ commands =
[testenv:py34]
deps = -r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements-py3.txt
-r{toxinidir}/test-requirements.txt
commands = python -m testtools.run \
ceilometer.tests.api.v2.test_alarm_scenarios.TestAlarms.test_alarms_query_with_timestamp \
ceilometer.tests.api.v2.test_alarm_scenarios.TestAlarms.test_get_alarm_history_constrained_by_alarm_id_failed \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment